summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Chris Walker2020-03-28 06:53:22 +0100
committer Willy Sudiarto Raharjo2020-03-28 06:53:22 +0100
commitdc7ee1609f0a32cab82ad05ecaf2695c28bad16f (patch)
tree59bc89dc6e59325fba6485c7ffb7ec6afe1d281c /libraries
parente224c714972f434eee8146bd36ff4faa3004553a (diff)
downloadslackbuilds-dc7ee1609f0a32cab82ad05ecaf2695c28bad16f.tar.gz
libraries/t38modem-ptlib: Added (Portable Tools Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/t38modem-ptlib/README5
-rw-r--r--libraries/t38modem-ptlib/ptlib-2.10.10-mga-bison-parameter.patch39
-rw-r--r--libraries/t38modem-ptlib/slack-desc19
-rw-r--r--libraries/t38modem-ptlib/ssl3.patch19
-rw-r--r--libraries/t38modem-ptlib/t38modem-ptlib.SlackBuild119
-rw-r--r--libraries/t38modem-ptlib/t38modem-ptlib.info10
6 files changed, 211 insertions, 0 deletions
diff --git a/libraries/t38modem-ptlib/README b/libraries/t38modem-ptlib/README
new file mode 100644
index 0000000000..01d6d8f538
--- /dev/null
+++ b/libraries/t38modem-ptlib/README
@@ -0,0 +1,5 @@
+This is a fork of the ptlib (Portable Tools Library) project maintained
+and updated by the maintainer of the t38modem project in order to support
+t38modem.
+
+This project conflicts with ptlib.
diff --git a/libraries/t38modem-ptlib/ptlib-2.10.10-mga-bison-parameter.patch b/libraries/t38modem-ptlib/ptlib-2.10.10-mga-bison-parameter.patch
new file mode 100644
index 0000000000..fcc8d0d2e7
--- /dev/null
+++ b/libraries/t38modem-ptlib/ptlib-2.10.10-mga-bison-parameter.patch
@@ -0,0 +1,39 @@
+--- ptlib-2.10.11/./src/ptlib/common/getdate.y 2013-08-15 01:20:26.000000000 +0200
++++ /mnt/chroot/cauldron/home/dan/rpm/BUILD/ptlib-2.10.11/src/ptlib/common/getdate.y 2013-12-15 00:24:27.866481490 +0100
+@@ -121,9 +121,9 @@
+ static int yylex();
+
+ #ifdef __GNUC__
+-static int yyerror(char const *msg);
++static int yyerror(void *, char const *msg);
+ #else
+-static void yyerror(char const *msg);
++static void yyerror(void *, char const *msg);
+ #endif
+
+
+@@ -132,7 +132,8 @@
+
+ %}
+
+-%pure_parser
++%pure-parser
++%parse-param {void *parseParam}
+
+ %union {
+ time_t Number;
+@@ -1018,12 +1019,12 @@
+ #endif
+
+ #ifdef __GNUC__
+-int yyerror(const char * s)
++int yyerror(void *var, const char * s)
+ {
+ return 0;
+ }
+ #else
+-static void yyerror(const char * s)
++static void yyerror(void *var, const char * s)
+ {
+ }
+ #endif
diff --git a/libraries/t38modem-ptlib/slack-desc b/libraries/t38modem-ptlib/slack-desc
new file mode 100644
index 0000000000..03ea82ce33
--- /dev/null
+++ b/libraries/t38modem-ptlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+t38modem-ptlib: t38modem-ptlib (Portable Tools Library)
+t38modem-ptlib:
+t38modem-ptlib: This project is a fork of the ptlib project maintained and updated by
+t38modem-ptlib: the maintainer of the t38modem project in order to support the
+t38modem-ptlib: t38modem project.
+t38modem-ptlib:
+t38modem-ptlib: Original project homepage: http://www.opalvoip.org
+t38modem-ptlib:
+t38modem-ptlib: Homepage: https://github.com/T38Modem/ptlib/releases
+t38modem-ptlib:
+t38modem-ptlib:
diff --git a/libraries/t38modem-ptlib/ssl3.patch b/libraries/t38modem-ptlib/ssl3.patch
new file mode 100644
index 0000000000..6fdb7cabea
--- /dev/null
+++ b/libraries/t38modem-ptlib/ssl3.patch
@@ -0,0 +1,19 @@
+diff -u -r ptlib-2.10.11/src/ptclib/pssl.cxx ptlib-2.10.11-nossl3/src/ptclib/pssl.cxx
+--- ptlib-2.10.11/src/ptclib/pssl.cxx 2013-08-15 01:20:27.000000000 +0200
++++ ptlib-2.10.11-nossl3/src/ptclib/pssl.cxx 2016-03-03 11:39:02.224835510 +0100
+@@ -805,13 +805,11 @@
+ SSL_METHOD * meth;
+
+ switch (method) {
+- case SSLv3:
+- meth = SSLv3_method();
+- break;
+ case TLSv1:
+ meth = TLSv1_method();
+ break;
+ case SSLv23:
++ case SSLv3:
+ default:
+ meth = SSLv23_method();
+ break;
+
diff --git a/libraries/t38modem-ptlib/t38modem-ptlib.SlackBuild b/libraries/t38modem-ptlib/t38modem-ptlib.SlackBuild
new file mode 100644
index 0000000000..e8204fe2d0
--- /dev/null
+++ b/libraries/t38modem-ptlib/t38modem-ptlib.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for t38modem-ptlib
+
+# Copyright 2008-2009 Mauro Giachero
+# Copyright 2011 David Woodfall
+# Copyright 2020 Chris Walker
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=t38modem-ptlib
+VERSION=${VERSION:-2.10.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+SRCNAM=ptlib
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix building with bison-3.0.4
+# thanks to Dan Fandrich / OpalVOIP https://sourceforge.net/p/opalvoip/patches/259/
+patch -p1 < $CWD/ptlib-2.10.10-mga-bison-parameter.patch
+
+# Disable SSLv3
+patch -p1 < $CWD/ssl3.patch
+
+# The "LIBS" variable is set to fix OpenLDAP support
+#
+# The --disable-avc is here to avoid build problems when both libdv and
+# libavc1394 are installed. According to
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516826
+# the problem lies in the usage of deprecated (and now removed) functions.
+# Quoting from message #15:
+# | We are planning on releasing ptlib 2.6 without DC nor AVC support and
+# | redirecting people to use V4L.
+# which is advised in the README file.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-lgthread-2.0" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-v4l \
+ --disable-avc \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove static library
+rm $PKG/usr/lib${LIBDIRSUFFIX}/libpt_s.a
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-LN-Z]* mpl-1.0.htm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/t38modem-ptlib/t38modem-ptlib.info b/libraries/t38modem-ptlib/t38modem-ptlib.info
new file mode 100644
index 0000000000..16d22baf43
--- /dev/null
+++ b/libraries/t38modem-ptlib/t38modem-ptlib.info
@@ -0,0 +1,10 @@
+PRGNAM="t38modem-ptlib"
+VERSION="2.10.15"
+HOMEPAGE="https://github.com/T38Modem/ptlib/releases"
+DOWNLOAD="https://github.com/T38Modem/ptlib/archive/v2.10.15/ptlib-2.10.15.tar.gz"
+MD5SUM="6c350f9f969e495c563886d18d691410"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Chris Walker"
+EMAIL="kris240376@gmail.com"